import React, { Component } from 'react';
import logo from './logo.svg';
import './App.css';

class App extends Component {
    render() {
        return (
            <div className="vbox container">
                <header className="header">
                    this is the header for the website
                </header>
                <div className="hbox gutter-panel">
                    <div className="hero hero-left">
                        <div className="hero-image">image</div>
                        <h3>this is the big description</h3>
                        <h4>this is the small description</h4>
                    </div>
                    <div className="hero hero-center">
                        <div className="hero-image">image</div>
                        <h3>this is the big description</h3>
                        <h4>this is the small description</h4>
                    </div>
                    <div className="hero hero-right">
                        <div className="hero-image">image</div>
                        <h3>this is the big description</h3>
                        <h4>this is the small description</h4>
                    </div>
                </div>


                <hr/>

                <div className="hbox">
                    <label>Get my newsletter</label>
                    <input type="text"/>
                    <span className="grow"/>
                    <button>f</button>
                    <button>t</button>
                    <button>g</button>
                    <button>r</button>
                </div>



                <div className="vbox">
                    <div className="hbox gutter-panel">
                        <div className="hbox panel grow">
                            <div className="panel-image">image</div>
                            <div className="panel-desc">
                                <h3>this is the panel description</h3>
                            </div>
                        </div>
                        <div className="hbox panel grow">
                            <div className="panel-image">image</div>
                            <div className="panel-desc">
                                <h3>this is the panel description</h3>
                            </div>
                        </div>
                    </div>
                    <div className="hbox gutter-panel">
                        <div className="hbox panel grow">
                            <div className="panel-image">image</div>
                            <div className="panel-desc">
                                <h3>this is the panel description</h3>
                            </div>
                        </div>
                        <div className="hbox panel grow">
                            <div className="panel-image">image</div>
                            <div className="panel-desc">
                                <h3>this is the panel description</h3>
                            </div>
                        </div>
                    </div>
                </div>


                <div className="hbox gutter-panel">
                    <div className="video-panel">
                        <div className="video">
                            this is the main video
                        </div>
                    </div>
                    <div className="sidebar">
                        this is the sidebar
                    </div>
                </div>



                <div className="hbox gutter-panel">
                    <div className="mid-panel">
                        <div className="mid-image">
                            image
                        </div>
                        <h3>the title</h3>
                    </div>
                    <div className="mid-panel">
                        <div className="mid-image">
                            image
                        </div>
                        <h3>the title</h3>
                    </div>
                    <div className="mid-panel">
                        <div className="mid-image">
                            image
                        </div>
                        <h3>the title</h3>
                    </div>
                </div>
            </div>
        );
    }
}

export default App;
